Subject: Re: [PATCH 3/3] The Makefile.PL will now find .pm files itself.

From: Michael G Schwern <[email-masked]>
Date: Wed, 25 Jul 2012 14:49:29 -0700

On 2012.7.25 2:11 PM, Jonathan Nieder wrote:
>> --- a/perl/Makefile.PL
>> +++ b/perl/Makefile.PL
>> @@ -2,6 +2,10 @@ use strict;
>>  use warnings;
>>  use ExtUtils::MakeMaker;
>>  use Getopt::Long;
>> +use File::Find;
>> +
>> +# Don't forget to update the perl/Makefile, too.
>> +# Don't forget to test with NO_PERL_MAKEMAKER=YesPlease
> 
> In a previous apartment I lived in, there was a note taped to the
> lightswitch reminding us to turn off the heat, take keys with us, and
> lock the door.  The note was useful because by force of habit we would
> be turning off the light, and as a result see the note, on the way
> out.
> 
> Who are these comments in perl/Makefile.PL addressed to?

Somebody adding, renaming or deleting a .pm file.

> Why would such a person be looking at perl/Makefile.PL?

Because sometimes they do wacky things, especially in non-Perl projects, its
good to check.

> Sorry to sound like a broken record, but I don't think these questions
> were answered yet.

The instructions are still necessary and I don't know where to put them so
they have a better chance to be seen.  At least somebody adding a .pm file
might glance inside the Makefile.PL.

> How about this patch for squashing in, which would avoid the question
> and save me from having to worry that my words are going to stay in
> this file after the no-makemaker option no longer exists because
> nobody looks at them here?

If somebody eliminates NO_PERL_MAKEMAKER they'd grep the tree for all its
occurrences.  I'd rather keep the instructions in there, because having two
build systems is downright wacky.  In fact, I'd go on to say that an
explanation should be added to the Makefile as well.

This is out of scope for what I wanted this patch to do, and I really don't
have a horse in this race.  For my purposes, I just preserved the comment.  If
it goes away that's ok, too.

Later on I can help getting rid of the second build system.

> diff --git i/perl/Makefile.PL w/perl/Makefile.PL
> index 3d88a6b9..377fd042 100644
> --- i/perl/Makefile.PL
> +++ w/perl/Makefile.PL
> @@ -4,9 +4,6 @@ use ExtUtils::MakeMaker;
>  use Getopt::Long;
>  use File::Find;
>  
> -# Don't forget to update the perl/Makefile, too.
> -# Don't forget to test with NO_PERL_MAKEMAKER=YesPlease
> -
>  # Sanity: die at first unknown option
>  Getopt::Long::Configure qw/ pass_through /;

-- 
31. Not allowed to let sock puppets take responsibility for any of my
    actions.
    -- The 213 Things Skippy Is No Longer Allowed To Do In The U.S. Army
           http://skippyslist.com/list/